import request from '@/utils/request'

// 查询数据采集列表
export function listGATHER(query) {
  return request({
    url: '/gather/list',
    method: 'get',
    params: query
  })
}

// 查询数据采集所有列表
export function listAllGATHER(query) {
  return request({
    url: '/gather/listAll',
    method: 'get',
    params: query
  })
}

// 查询数据采集详细
export function getGATHER(id) {
  return request({
    url: '/gather/getInfo/' + id,
    method: 'get'
  })
}

// 新增数据采集
export function addGATHER(data) {
  return request({
    url: '/gather/add',
    method: 'post',
    data: data
  })
}

// 修改数据采集
export function updateGATHER(data) {
  return request({
    url: '/gather/edit',
    method: 'post',
    data: data
  })
}

// 删除数据采集
export function delGATHER(id) {
  return request({
    url: '/gather/remove/' + id,
    method: 'get'
  })
}
